Subject: smap with Joe Yao's patch

From: Markus Schreier <[email-masked]>
Date: Fri, 09 Jun 2000 11:54:12 +0200

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Hello,
thanks to evrybody for the help to get smap with Joe's patch compiled.

Now, i'm trying to set up smap (for now just for testing)

I have teh following network:

merlot.wbn.ordix.de (193.30.132.250) This is the host i send testmails
from (per telnet to port 25)
younix.wbn.ordix.de (193.30.132.241) this is (for now) my firewall with
smap.
The following is my configuration for  smap:

smap:           check-from-address 1
smap:           domains ordix.de *.ordix.de
# smap:         hosts 193.30.132.*
smap:           hosts 193.30.132.220
smap:           max-dirent 20
smap:           max-email 500
smap:           require-full-email 1
smap:           scrub-spam 1
smap:           spam spamdomain.spam 255.1.2.*
# smap, smapd:   userid 700
# smap, smapd:  groupid 700
smap, smapd:    directory /var/spool/smap
smap:           timeout 3600

I'm changing the setting for 
smap: host 
to simulate mails comming from extern and intern.

Having smap set up to recon merlot as internal server (host
193.30.132.*)
I get the following:
no matter which mail from: address nor which rcpt to address i use, mail
is always accepted. (expect realy bogous sender-adresses)
That is about that what i want. :-)

On the other hand: 
having smap set up to recon merlot as external server (host
193.30.132.220)
mail from: [email-masked]
gives the following output to syslog
Jun  9 10:28:54 localhost smap.relay[5164]: deny    
host=merlot.wbn.ordix.de/193.30.132.250 use of gateway
Jun  9 10:28:55 localhost smap.relay[5164]: security: rejected mail    
purporting to be from [email-masked] [NULL] from host    
merlot.wbn.ordix.de/193.30.132.250
This message will be denied no matter what comes next.

mail from: [email-masked]
replies
250 [email-masked]... Sender Ok
but i still get this syslog-output

Jun  9 10:31:09 localhost smap.relay[5167]: deny         
host=merlot.wbn.ordix.de/193.30.132.250 use of gateway

Now giving a rcpt to: adress in the domain ordix.de
will give the following line to syslog:

Jun  9 10:32:42 localhost smap.relay[5167]: permit         
host=merlot.wbn.ordix.de/193.30.132.250 use of gateway

and the message will be deliverd

What does the message " deny host .. use of gateway" express? Why is it
there? Why is the mail still being deliverd?

Are Sender-Adresses of my local domain (ordix.de) from hosts beeing
external always rejected?

If i use the Joe Yao patches, does it make sense to use two smap
versions: one with SPECIALDOMAIN set for mails from the external network
(internet) and the other whith SPECIALDOMAIN not set for mails from the
internal (cooperate) network?

I would apreceate any tips or hints.

Greetings from Wiesbaden

Markus Schreier

ORDIX AG